public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/dealii/
Date: Sat,  4 Jan 2014 12:08:46 +0000 (UTC)	[thread overview]
Message-ID: <1388837279.f6fdfb4d43a0608a1b48d0485272df4039387924.jlec@gentoo> (raw)

commit:     f6fdfb4d43a0608a1b48d0485272df4039387924
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  4 12:07:59 2014 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sat Jan  4 12:07:59 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=f6fdfb4d

sci-libs/dealii: Add missing die; shorten DESCRIPTION; add dummy locel USE description; Fix RDEPEND.suspect

Package-Manager: portage-2.2.7

---
 sci-libs/dealii/ChangeLog          |  9 ++++++++
 sci-libs/dealii/dealii-9999.ebuild | 41 +++++++++++++++++++------------------
 sci-libs/dealii/metadata.xml       | 42 +++++++++++++++++++++-----------------
 3 files changed, 53 insertions(+), 39 deletions(-)

diff --git a/sci-libs/dealii/ChangeLog b/sci-libs/dealii/ChangeLog
new file mode 100644
index 0000000..ab51b21
--- /dev/null
+++ b/sci-libs/dealii/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-libs/dealii
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+  04 Jan 2014; Justin Lecher <jlec@gentoo.org> dealii-9999.ebuild,
+  metadata.xml:
+  Add missing die; shorten DESCRIPTION; add dummy locel USE description; Fix
+  RDEPEND.suspect
+

diff --git a/sci-libs/dealii/dealii-9999.ebuild b/sci-libs/dealii/dealii-9999.ebuild
index 91fa994..89f714a 100644
--- a/sci-libs/dealii/dealii-9999.ebuild
+++ b/sci-libs/dealii/dealii-9999.ebuild
@@ -1,16 +1,16 @@
-# Copyright 2013 Gentoo Foundation
+# Copyright 2013-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 EAPI=5
 
 if [[ "${PV}" == "9999" ]] ; then
-	inherit cmake-utils subversion eutils multilib
+	inherit cmake-utils eutils multilib subversion
 else
 	inherit cmake-utils eutils multilib
 fi
 
-DESCRIPTION="library for solving partial differential equations with the finite element method"
+DESCRIPTION="Solving partial differential equations with the finite element method"
 HOMEPAGE="http://www.dealii.org/"
 
 if [[ "${PV}" == "9999" ]] ; then
@@ -18,7 +18,8 @@ if [[ "${PV}" == "9999" ]] ; then
 	ESVN_OPTIONS="--trust-server-cert --non-interactive"
 	KEYWORDS=""
 else
-	SRC_URI="https://dealii.googlecode.com/files/deal.II-${PV}.tar.gz
+	SRC_URI="
+		https://dealii.googlecode.com/files/deal.II-${PV}.tar.gz
 		doc? ( https://dealii.googlecode.com/files/deal.offlinedoc-${PV}.tar.gz )"
 	S="${WORKDIR}/deal.II"
 	KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
@@ -27,9 +28,9 @@ fi
 LICENSE="LGPL-2.1+"
 SLOT="0"
 IUSE="
-  arpack avx +debug doc +examples hdf5 +lapack mesh_converter metis mpi
-  mumps netcdf p4est parameter_gui petsc +sparse sse2 static-libs +tbb
-  trilinos +zlib
+	arpack avx +debug doc +examples hdf5 +lapack mesh_converter metis mpi
+	mumps netcdf p4est parameter_gui petsc +sparse sse2 static-libs +tbb
+	trilinos +zlib
 "
 
 # TODO: add slepc use flag once slepc is packaged for gentoo-science
@@ -42,7 +43,6 @@ REQUIRED_USE="
 RDEPEND="
 	dev-libs/boost
 	arpack? ( sci-libs/arpack[mpi=] )
-	doc? ( app-doc/doxygen[dot] dev-lang/perl )
 	hdf5? ( sci-libs/hdf5[mpi=] )
 	lapack? ( virtual/lapack )
 	metis? ( >=sci-libs/parmetis-4 )
@@ -61,6 +61,7 @@ RDEPEND="
 DEPEND="
 	${RDEPEND}
 	virtual/pkgconfig
+	doc? ( app-doc/doxygen[dot] dev-lang/perl )
 "
 
 src_configure() {
@@ -78,9 +79,16 @@ src_configure() {
 
 	local mycmakeargs=(
 		${live_version}
-		"-DDEAL_II_ALLOW_AUTODETECTION=OFF"
-		"-DDEAL_II_ALLOW_BUNDLED=OFF"
-		"-DDEAL_II_ALLOW_PLATFORM_INTROSPECTION=OFF"
+		-DDEAL_II_ALLOW_AUTODETECTION=OFF
+		-DDEAL_II_ALLOW_BUNDLED=OFF
+		-DDEAL_II_ALLOW_PLATFORM_INTROSPECTION=OFF
+		-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF
+		-DDEAL_II_COMPONENT_COMPAT_FILES=OFF
+		-DDEAL_II_CMAKE_MACROS_RELDIR=share/${PN}/cmake/macros
+		-DDEAL_II_DOCHTML_RELDIR=share/doc/${PF}/html
+		-DDEAL_II_DOCREADME_RELDIR=share/doc/${PF}/
+		-DDEAL_II_EXAMPLES_RELDIR=share/doc/${PF}/examples
+		-DDEAL_II_LIBRARY_RELDIR=$(get_libdir)
 		$(cmake-utils_use arpack DEAL_II_WITH_ARPACK)
 		$(cmake-utils_use avx DEAL_II_HAVE_AVX)
 		$(cmake-utils_use doc DEAL_II_COMPONENT_DOCUMENTATION)
@@ -102,24 +110,17 @@ src_configure() {
 		$(cmake-utils_use tbb DEAL_II_WITH_THREADS)
 		$(cmake-utils_use trilinos DEAL_II_WITH_TRILINOS)
 		$(cmake-utils_use zlib DEAL_II_WITH_ZLIB)
-		"-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF"
-		"-DDEAL_II_COMPONENT_COMPAT_FILES=OFF"
-		"-DDEAL_II_CMAKE_MACROS_RELDIR=share/${PN}/cmake/macros"
-		"-DDEAL_II_DOCHTML_RELDIR=share/doc/${PF}/html"
-		"-DDEAL_II_DOCREADME_RELDIR=share/doc/${PF}/"
-		"-DDEAL_II_EXAMPLES_RELDIR=share/doc/${PF}/examples"
-		"-DDEAL_II_LIBRARY_RELDIR=$(get_libdir)"
 		)
 	cmake-utils_src_configure
 }
 
 src_install() {
-	dodoc README
+	DOCS=( README )
 
 	if use doc; then
 		if [[ ${PV} != "9999" ]] ; then
 			# copy missing images to the build directory:
-			cp -r "${WORKDIR}"/doc/doxygen/deal.II/images "${BUILD_DIR}"/doc/doxygen/deal.II
+			cp -r "${WORKDIR}"/doc/doxygen/deal.II/images "${BUILD_DIR}"/doc/doxygen/deal.II || die
 			# replace links:
 			sed -i \
 				's#"http://www.dealii.org/images/steps/developer/\(step-.*\)"#"images/\1"#g' \

diff --git a/sci-libs/dealii/metadata.xml b/sci-libs/dealii/metadata.xml
index 65475b5..356ec3f 100644
--- a/sci-libs/dealii/metadata.xml
+++ b/sci-libs/dealii/metadata.xml
@@ -1,28 +1,32 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>sci</herd>
-<maintainer>
-  <email>tamiko+GENTOO@kyomu.43-1.org</email>
-  <name>Matthias Maier</name>
-</maintainer>
-<longdescription lang="en">
+  <herd>sci</herd>
+  <maintainer>
+    <email>tamiko+GENTOO@kyomu.43-1.org</email>
+    <name>Matthias Maier</name>
+  </maintainer>
+  <longdescription lang="en">
   deal.II is a C++ program library targeted at the computational solution
   of partial differential equations using adaptive finite elements. It uses
   state-of-the-art programming techniques to offer you a modern interface
   to the complex data structures and algorithms required.
 </longdescription>
-<use>
-  <flag name="arpack">Adds support for ARPACK (<pkg>sci-libs/arpack</pkg>)</flag>
-  <flag name="avx">Use Advanced Vector Extensions for AVX capable chips</flag>
-  <flag name="debug">Build an additional debug library with extra debug codepaths, like asserts and extra output. If you want to get meaningful backtraces see &lt;http://www.gentoo.org/proj/en/qa/backtraces.xml&gt;</flag>
-  <flag name="mesh_converter">Build and install the mesh_converter executable</flag>
-  <flag name="metis">Add support for metis (<pkg>sci-libs/metis</pkg>)</flag>
-  <flag name="mumps">Add support for mumps (<pkg>sci-libs/mumps</pkg>)</flag>
-  <flag name="p4est">Add support for p4est (<pkg>sci-mathematics/p4est</pkg>)</flag>
-  <flag name="parameter_gui">Build and install the parameter_gui executable</flag>
-  <flag name="petsc">Add support for petsc (<pkg>sci-libs/petsc</pkg>)</flag>
-  <flag name="tbb">Add threading support with the help of the tbb library (<pkg>dev-cpp/tbb</pkg>)</flag>
-  <flag name="trilinos">Add support for trilinos (<pkg>sci-libs/trilinos</pkg>)</flag>
-</use>
+  <use>
+    <flag name="arpack">Adds support for ARPACK (<pkg>sci-libs/arpack</pkg>)</flag>
+    <flag name="avx">Use Advanced Vector Extensions for AVX capable chips</flag>
+    <flag name="debug">
+	Build an additional debug library with extra debug codepaths, like asserts 
+	and extra output. If you want to get meaningful backtraces see 
+	&lt;http://www.gentoo.org/proj/en/qa/backtraces.xml&gt;</flag>
+    <flag name="mesh_converter">Build and install the mesh_converter executable</flag>
+    <flag name="metis">Add support for metis (<pkg>sci-libs/metis</pkg>)</flag>
+    <flag name="mumps">Add support for mumps (<pkg>sci-libs/mumps</pkg>)</flag>
+    <flag name="p4est">Add support for p4est (<pkg>sci-mathematics/p4est</pkg>)</flag>
+    <flag name="parameter_gui">Build and install the parameter_gui executable</flag>
+    <flag name="petsc">Add support for petsc (<pkg>sci-libs/petsc</pkg>)</flag>
+    <flag name="sparse">A nice USE flag</flag>
+    <flag name="tbb">Add threading support with the help of the tbb library (<pkg>dev-cpp/tbb</pkg>)</flag>
+    <flag name="trilinos">Add support for trilinos (<pkg>sci-libs/trilinos</pkg>)</flag>
+  </use>
 </pkgmetadata>


             reply	other threads:[~2014-01-04 12:08 UTC|newest]

Thread overview: 53+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-01-04 12:08 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-08-05  6:52 [gentoo-commits] proj/sci:master commit in: sci-libs/dealii/ Matthias Maier
2019-08-02  1:05 Matthias Maier
2019-05-22 17:33 Matthias Maier
2019-04-25 23:51 Matthias Maier
2018-10-11 21:47 Matthias Maier
2018-05-24  2:26 Matthias Maier
2018-05-24  1:21 Matthias Maier
2018-05-13 20:01 Matthias Maier
2018-05-11 22:16 Matthias Maier
2018-05-11 22:16 Matthias Maier
2018-03-19 18:11 Matthias Maier
2017-12-26 12:22 Matthias Maier
2017-10-07 18:28 Matthias Maier
2017-08-14 16:57 Matthias Maier
2017-06-18 13:04 Matthias Maier
2017-04-11 14:50 Marius Brehler
2017-04-11 14:50 Marius Brehler
2017-04-11 14:50 Marius Brehler
2017-03-16 19:35 Justin Lecher
2016-09-06  0:18 Christoph Junghans
2016-07-12 19:57 Marius Brehler
2016-07-12 19:57 Marius Brehler
2016-04-23 23:21 Christoph Junghans
2016-04-23 23:21 Christoph Junghans
2015-08-27 15:01 Justin Lecher
2015-08-03 12:35 Justin Lecher
2015-08-03 12:35 Justin Lecher
2015-07-10  3:59 Nicolas Bock
2015-06-06 10:23 Justin Lecher
2015-06-06 10:23 Justin Lecher
2015-03-29 10:24 Justin Lecher
2015-01-31 20:19 Christoph Junghans
2015-01-22  0:09 Christoph Junghans
2015-01-22  0:09 Christoph Junghans
2015-01-15  6:53 Justin Lecher
2015-01-15  6:53 Justin Lecher
2015-01-01 15:26 Andrew Savchenko
2014-12-24 18:54 Christoph Junghans
2014-12-24 18:54 Christoph Junghans
2014-08-25 22:43 Christoph Junghans
2014-03-03 20:37 Sebastien Fabbro
2014-03-03 20:37 Sebastien Fabbro
2014-01-04 12:08 Justin Lecher
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:14 Nicolas Bock
2013-07-26 16:13 Nicolas Bock

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1388837279.f6fdfb4d43a0608a1b48d0485272df4039387924.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox